"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.closeADConnection = exports.openADConnection = void 0;
const __1 = require("..");
const debug_1 = __importDefault(require("debug"));
const debug = (0, debug_1.default)('node-expose-sspi:adConnection');
const adConnection = {
    counter: 0,
};
/**
 * Open an Active Directory connection only if no connection is already open.
 *
 * @export
 */
function openADConnection() {
    if (adConnection.counter < 0) {
        adConnection.counter = 0;
    }
    if (adConnection.counter === 0) {
        __1.adsi.CoInitializeEx(['COINIT_MULTITHREADED']);
    }
    adConnection.counter++;
    debug('openADConnection: counter: ', adConnection.counter);
}
exports.openADConnection = openADConnection;
/**
 * Close an Active Directory connection only if nobodyelse still use a connection.
 *
 * @export
 */
function closeADConnection() {
    adConnection.counter--;
    if (adConnection.counter === 0) {
        __1.adsi.CoUninitialize();
    }
    if (adConnection.counter < 0) {
        adConnection.counter = 0;
    }
    debug('closeADConnection: counter: ', adConnection.counter);
}
exports.closeADConnection = closeADConnection;
//# sourceMappingURL=adConnection.js.map