"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BasicHandler = void 0;
const debug_1 = __importDefault(require("debug"));
const node_fetch_1 = __importDefault(require("node-fetch"));
const AbstractHandler_1 = require("./AbstractHandler");
const misc_1 = require("./misc");
const debug = (0, debug_1.default)('node-expose-sspi:client');
class BasicHandler extends AbstractHandler_1.AbstractHandler {
    async handle(clientInfo, clientCookie, response, resource, init = {}) {
        debug('basic handler');
        const requestInit = { ...init };
        const str = clientInfo.user + ':' + clientInfo.password;
        requestInit.headers = {
            ...init.headers,
            Authorization: 'Basic ' + (0, misc_1.encodeBase64)(str),
        };
        clientCookie.restituteCookies(requestInit);
        debug('first requestInit.headers', requestInit.headers);
        response = await (0, node_fetch_1.default)(resource, requestInit);
        debug('first response.headers', response.headers);
        clientCookie.saveCookies(response);
        return response;
    }
}
exports.BasicHandler = BasicHandler;
//# sourceMappingURL=BasicHandler.js.map