"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientCookie = void 0;
const debug_1 = __importDefault(require("debug"));
const debug = (0, debug_1.default)('node-expose-sspi:client');
class ClientCookie {
    constructor() {
        this.cookieList = {};
    }
    saveCookies(response) {
        response.headers.forEach((value, name) => {
            if (name !== 'Set-Cookie'.toLowerCase()) {
                return;
            }
            // parse something like <key>=<val>[; Expires=xxxxx;]
            const [key, val] = value.split(/[=;]/g);
            debug('val: ', val);
            debug('key: ', key);
            this.cookieList[key] = val;
        });
        debug('cookieList: ', this.cookieList);
    }
    restituteCookies(requestInit) {
        const cookieStr = Object.keys(this.cookieList)
            .map((key) => key + '=' + this.cookieList[key])
            .join('; ');
        if (cookieStr.length === 0) {
            return;
        }
        requestInit.headers = { ...requestInit.headers, cookie: cookieStr };
    }
}
exports.ClientCookie = ClientCookie;
//# sourceMappingURL=ClientCookie.js.map