"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HandlerFactory = void 0;
const BasicHandler_1 = require("./BasicHandler");
const DigestHandler_1 = require("./DigestHandler");
const NegotiateHandler_1 = require("./NegotiateHandler");
class HandlerFactory {
    static instantiate(authenticationType) {
        if (authenticationType === 'Negotiate') {
            return new NegotiateHandler_1.NegotiateHandler();
        }
        if (authenticationType === 'NTLM') {
            return new NegotiateHandler_1.NegotiateHandler('NTLM');
        }
        if (authenticationType === 'Basic') {
            return new BasicHandler_1.BasicHandler();
        }
        if (authenticationType === 'Digest') {
            return new DigestHandler_1.DigestHandler();
        }
        throw new Error('Cannot handle this authentication method');
    }
}
exports.HandlerFactory = HandlerFactory;
//# sourceMappingURL=HandlerFactory.js.map