import { UserCredential } from '../../lib/api';
import { SSO } from './SSO';
/**
 * Retrieves SSO information from an explicit credential (login/password and domain).
 * The SSO information will be retrieved only if the credential
 * matches a local account or a domain account.
 *
 * @param {sspi.UserCredential} userCredential
 * @returns {SSO} the SSO object.
 */
export declare function connect(userCredential: UserCredential): Promise<SSO>;
