"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getKerberosResponseDetails = exports.getKerberosDetails = void 0;
const asn_1_1 = require("@jlguenego/asn.1");
const util_1 = require("util");
const ASN1MsgUtils_1 = require("@jlguenego/asn.1/build/src/ASN1MsgUtils");
const EncodingRule_1 = require("@jlguenego/asn.1/build/src/EncodingRule");
function getKerberosDetails(buffer) {
    const message = asn_1_1.ASN1.decode(buffer, {
        encodingRule: EncodingRule_1.EncodingRule.DER,
    });
    const array = ASN1MsgUtils_1.ASN1MsgUtils.queryAll(message, 'tagLabel', 'GeneralString');
    const principalName = array
        .map((m) => m.value)
        .slice(1)
        .join('/');
    const realm = array[0].value;
    const result = {
        principalName,
        realm,
    };
    return result;
}
exports.getKerberosDetails = getKerberosDetails;
function getKerberosResponseDetails(buffer) {
    const message = asn_1_1.ASN1.decode(buffer, {
        encodingRule: EncodingRule_1.EncodingRule.DER,
    });
    const msgId = ASN1MsgUtils_1.ASN1MsgUtils.query(message, 'tagLabel', '15');
    if (msgId) {
        return 'Regular KRB_AP_REP message';
    }
    return ('probably an GSS-API KRB_ERROR message: ' + (0, util_1.inspect)(message, false, null));
}
exports.getKerberosResponseDetails = getKerberosResponseDetails;
//# sourceMappingURL=kerberos.js.map