import { Flag, MessageType } from './interfaces';
/**
 * Gives a string representation of binary data.
 *
 * @param {ArrayBuffer} buffer
 * @returns {string} the string representation.
 */
export declare function hexDump(buffer: ArrayBuffer): string;
export declare function toHex(buffer: ArrayBuffer): string;
export declare function getMessageType(token: string): MessageType;
export declare function hex2a(hex: string): string;
export declare function getFlags(flags: Flag[], value: number): string;
/**
 * Decode a base64 string into an arraybuffer.
 *
 * @export
 * @param {string} base64
 * @returns {ArrayBuffer}
 */
export declare function decode(base64: string): ArrayBuffer;
/**
 * Encode an arraybuffer to base64 string.
 *
 * @export
 * @param {ArrayBuffer} b
 * @returns {string}
 */
export declare function encode(b: ArrayBuffer): string;
