"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sleep = void 0;
const debug_1 = __importDefault(require("debug"));
const debug = (0, debug_1.default)('node-expose-sspi:misc');
/**
 * Sleep for time (in millisecond) and wake up.
 *
 * @export
 * @param {number} time
 * @returns {Promise<void>}
 */
function sleep(time) {
    return new Promise((resolve) => setTimeout(() => {
        debug('sleep wake up after', time);
        resolve();
    }, time));
}
exports.sleep = sleep;
//# sourceMappingURL=sleep.js.map