import { Database, ADUser, ADUsers } from './interfaces';
export declare const database: Database;
/**
 *
 * This function is recommanded to be called before starting a server.
 *
 * Purpose is to cache all Active Directory (AD) users for
 * performance during authentication, just for increasing performance.
 *
 * Useless if you do not use AD.
 *
 * @export
 * @returns {Promise<void>}
 */
export declare function init(): Promise<void>;
export declare function getUser(ldapFilter: string): Promise<ADUser | undefined>;
export declare function getUsers(ldapFilter?: string): Promise<ADUsers>;
export declare function getDistinguishedName(): Promise<string>;
